class VersionInfo {
  final int resultCount;
  final List<VersionResult> results;

  VersionInfo._({this.resultCount, this.results});

  factory VersionInfo.fromJson(Map<String, dynamic> json) {

    var list = json['results'] as List;
    List<VersionResult> results = list.map((i) => VersionResult.fromJson(i)).toList();

    return VersionInfo._(
      resultCount: json['resultCount'],
      results: results,
    );
  }
}

class VersionResult {
  final String version;
  VersionResult._({this.version});
  factory VersionResult.fromJson(Map<String, dynamic> json) {
    return new VersionResult._(
      version: json['version'],
    );
  }

}
